-- USDP Sample code
-- Power electronics module, relay controller.
-- Controls the relays of power electroncis module.

library IEEE;
use IEEE.std_logic_1164.ALL;
use IEEE.std_logic_ARITH.ALL;
use IEEE.std_logic_UNSIGNED.ALL;

entity relay is
    Port ( 
			Rel1 : in std_logic;	-- Relay 1 control I/P
			Rel2 : in std_logic;	-- Relay 2 control I/P
			R1	 : out std_logic;	-- Relay 1 control O/P		
			R2	 : out std_logic	-- Relay 2 control O/P			
		 );
end relay;

architecture Behavioral of relay is
begin

R1	<= Rel1;
R2	<= Rel2;

end Behavioral;